## kaukkis 0.2-1

=== src/plugins/build-NetworkOutput-Desktop_qt4-Release/Makefile ===
#############################################################################
# Makefile for building: libNetworkOutput.so.1.0.0
# Generated by qmake (2.01a) (Qt 4.8.6) on: Fri Apr 10 03:40:36 2015
# Project:  ../NetworkOutput/NetworkOutput.pro
# Template: lib
# Command: /usr/lib/x86_64-linux-gnu/qt4/bin/qmake -spec /usr/share/qt4/mkspecs/linux-g++-64 -o Makefile ../NetworkOutput/NetworkOutput.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DNETWORKOUTPUT_LIBRARY -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -m64 -pipe -O2 -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -m64 -pipe -std=c++0x -O2 -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-64 -I../NetworkOutput -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I../../../build/debug/plugins/NetworkOutput -I../../../build/debug/plugins/NetworkOutput -I.
LINK          = g++
LFLAGS        = -m64 -Wl,-O1 -shared -Wl,-soname,libNetworkOutput.so.1
LIBS          = $(SUBLIBS)  -L/usr/lib/x86_64-linux-gnu -lQtGui -lQtNetwork -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/lib/x86_64-linux-gnu/qt4/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = ../NetworkOutput/networkoutput.cpp \
		../NetworkOutput/client.cpp ../../../build/debug/plugins/NetworkOutput/moc_networkoutput.cpp \
		../../../build/debug/plugins/NetworkOutput/moc_client.cpp
OBJECTS       = networkoutput.o \
		client.o \
		moc_networkoutput.o \
		moc_client.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/shared.prf \
		/usr/share/qt4/mkspecs/features/dll.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		../NetworkOutput/NetworkOutput.pro
QMAKE_TARGET  = NetworkOutput
DESTDIR       = ../../../build/debug/plugins/NetworkOutput/
TARGET        = libNetworkOutput.so.1.0.0
TARGETA       = ../../../build/debug/plugins/NetworkOutput/libNetworkOutput.a
TARGETD       = libNetworkOutput.so.1.0.0
TARGET0       = libNetworkOutput.so
TARGET1       = libNetworkOutput.so.1
TARGET2       = libNetworkOutput.so.1.0

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../../../build/debug/plugins/NetworkOutput/$(TARGET)

../../../build/debug/plugins/NetworkOutput/$(TARGET): ../../../build/debug/plugins/NetworkOutput/ui_networkoutputdialog.h $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../../../build/debug/plugins/NetworkOutput/ || $(MKDIR) ../../../build/debug/plugins/NetworkOutput/ 
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)
	-$(DEL_FILE) ../../../build/debug/plugins/NetworkOutput/$(TARGET)
	-$(DEL_FILE) ../../../build/debug/plugins/NetworkOutput/$(TARGET0)
	-$(DEL_FILE) ../../../build/debug/plugins/NetworkOutput/$(TARGET1)
	-$(DEL_FILE) ../../../build/debug/plugins/NetworkOutput/$(TARGET2)
	-$(MOVE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2) ../../../build/debug/plugins/NetworkOutput/



staticlib: $(TARGETA)

$(TARGETA): ../../../build/debug/plugins/NetworkOutput/ui_networkoutputdialog.h $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

Makefile: ../NetworkOutput/NetworkOutput.pro  /usr/share/qt4/mkspecs/linux-g++-64/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/shared.prf \
		/usr/share/qt4/mkspecs/features/dll.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/x86_64-linux-gnu/libQtGui.prl \
		/usr/lib/x86_64-linux-gnu/libQtNetwork.prl \
		/usr/lib/x86_64-linux-gnu/libQtCore.prl
	$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++-64 -o Makefile ../NetworkOutput/NetworkOutput.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/common/gcc-base.conf:
/usr/share/qt4/mkspecs/common/gcc-base-unix.conf:
/usr/share/qt4/mkspecs/common/g++-base.conf:
/usr/share/qt4/mkspecs/common/g++-unix.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/shared.prf:
/usr/share/qt4/mkspecs/features/dll.prf:
/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/x86_64-linux-gnu/libQtGui.prl:
/usr/lib/x86_64-linux-gnu/libQtNetwork.prl:
/usr/lib/x86_64-linux-gnu/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++-64 -o Makefile ../NetworkOutput/NetworkOutput.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/NetworkOutput1.0.0 || $(MKDIR) .tmp/NetworkOutput1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/NetworkOutput1.0.0/ && $(COPY_FILE) --parents ../NetworkOutput/networkoutput.h ../../iremoteoutput.h ../../buttonaction.h ../NetworkOutput/client.h .tmp/NetworkOutput1.0.0/ && $(COPY_FILE) --parents ../NetworkOutput/networkoutput.cpp ../NetworkOutput/client.cpp .tmp/NetworkOutput1.0.0/ && $(COPY_FILE) --parents ../NetworkOutput/networkoutputdialog.ui .tmp/NetworkOutput1.0.0/ && (cd `dirname .tmp/NetworkOutput1.0.0` && $(TAR) NetworkOutput1.0.0.tar NetworkOutput1.0.0 && $(COMPRESS) NetworkOutput1.0.0.tar) && $(MOVE) `dirname .tmp/NetworkOutput1.0.0`/NetworkOutput1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/NetworkOutput1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) ../../../build/debug/plugins/NetworkOutput/$(TARGET) 
	-$(DEL_FILE) ../../../build/debug/plugins/NetworkOutput/$(TARGET0) ../../../build/debug/plugins/NetworkOutput/$(TARGET1) ../../../build/debug/plugins/NetworkOutput/$(TARGET2) $(TARGETA)
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: ../../../build/debug/plugins/NetworkOutput/moc_networkoutput.cpp ../../../build/debug/plugins/NetworkOutput/moc_client.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) ../../../build/debug/plugins/NetworkOutput/moc_networkoutput.cpp ../../../build/debug/plugins/NetworkOutput/moc_client.cpp
../../../build/debug/plugins/NetworkOutput/moc_networkoutput.cpp: ../../iremoteoutput.h \
		../../buttonaction.h \
		../NetworkOutput/client.h \
		../NetworkOutput/message.h \
		../NetworkOutput/networkoutput.h
	/usr/lib/x86_64-linux-gnu/qt4/bin/moc $(DEFINES) $(INCPATH) ../NetworkOutput/networkoutput.h -o ../../../build/debug/plugins/NetworkOutput/moc_networkoutput.cpp

../../../build/debug/plugins/NetworkOutput/moc_client.cpp: ../NetworkOutput/message.h \
		../NetworkOutput/client.h
	/usr/lib/x86_64-linux-gnu/qt4/bin/moc $(DEFINES) $(INCPATH) ../NetworkOutput/client.h -o ../../../build/debug/plugins/NetworkOutput/moc_client.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: ../../../build/debug/plugins/NetworkOutput/qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) ../../../build/debug/plugins/NetworkOutput/qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ../../../build/debug/plugins/NetworkOutput/ui_networkoutputdialog.h
compiler_uic_clean:
	-$(DEL_FILE) ../../../build/debug/plugins/NetworkOutput/ui_networkoutputdialog.h
../../../build/debug/plugins/NetworkOutput/ui_networkoutputdialog.h: ../NetworkOutput/networkoutputdialog.ui
	/usr/lib/x86_64-linux-gnu/qt4/bin/uic ../NetworkOutput/networkoutputdialog.ui -o ../../../build/debug/plugins/NetworkOutput/ui_networkoutputdialog.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

networkoutput.o: ../NetworkOutput/networkoutput.cpp ../NetworkOutput/message.h \
		../NetworkOutput/networkoutput.h \
		../../iremoteoutput.h \
		../../buttonaction.h \
		../NetworkOutput/client.h \
		../NetworkOutput/ui_networkoutputdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o networkoutput.o ../NetworkOutput/networkoutput.cpp

client.o: ../NetworkOutput/client.cpp ../NetworkOutput/client.h \
		../NetworkOutput/message.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o client.o ../NetworkOutput/client.cpp

moc_networkoutput.o: ../../../build/debug/plugins/NetworkOutput/moc_networkoutput.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_networkoutput.o ../../../build/debug/plugins/NetworkOutput/moc_networkoutput.cpp
