## kaukkis 0.1-1

=== debian/changelog ===
kaukkis (0.1-1) unstable; urgency=low

  * Initial release

 -- Niko Häikiö <haikion@github>  Sat, 17 Jan 2015 11:06:56 +0200
