=== debian/changelog ===
kaukkis (0.3-1) unstable; urgency=low

  * Check GitHub commit log for details...

 -- Niko Häikiö <haikion@github>  Sat, 17 Jan 2015 11:06:56 +0200
