=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	qmake
+	qmake kaukkisAndPlugins.pro
 	$(MAKE)
 	#docbook-to-man debian/kaukkis.sgml > kaukkis.1
